Loading...
Searching...
No Matches
pqxx::inclusive_bound< TYPE > Class Template Reference

An inclusive boundary value to a pqxx::range. More...

## Public Member Functions

constexpr | inclusive_bound (TYPE const &value)
constexpr TYPE const & | get () const &noexcept
constexpr bool | extends_down_to (TYPE const &value) const noexcept(noexcept(value< m_value))
| Would this bound, as a lower bound, include value?
constexpr bool | extends_up_to (TYPE const &value) const noexcept(noexcept(value< m_value))
| Would this bound, as an upper bound, include value?

## Detailed Description

template<typename TYPE>
class pqxx::inclusive_bound< TYPE >

An inclusive boundary value to a pqxx::range.

Use this as a lower or upper bound for a range if the range should include the value.

The documentation for this class was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/range.hxx